cgSetPassProgramParameters(3)

NAME
cgSetPassProgramParameters - set uniform parameters specified via a compile statement

SYNOPSIS
  #include <Cg/cg.h>
  void cgSetPassProgramParameters( CGprogram program );

PARAMETERS

program
    The program

RETURN VALUES
None.

DESCRIPTION
Given the handle to a program specified in a pass in a CgFX file, cgSetPassProgramParameters sets the values of the program's uniform parameters given the expressions in the compile statement in the CgFX file.

(This entrypoint is normally only needed by state managers and doesn't need to be called by users.)

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgSetPassProgramParameters was introduced in Cg 1.4.

SEE ALSO
cgCreateEffect, cgCreateEffectFromFile